<div class="layout-container" [class.layout-is-mobile]="isMobile">
  <mat-toolbar color="primary" class="layout-toolbar">
    <button mat-icon-button (click)="snav.toggle()"><mat-icon>menu</mat-icon></button>
    <a mat-button routerLink="." (click)="isMobile && snav.close()">
      <h1>Super Heroes</h1>
    </a>
    <span class="layout-spacer"></span>
    <button mat-icon-button [matMenuTriggerFor]="accountMenu">
        <mat-icon *ngIf="!(user$ | async) || !((user$ | async).photoUrl)">account_circle</mat-icon>
        <img class="layout-avatar" src="{{(user$ | async).photoUrl}}" *ngIf="(user$ | async) && (user$ | async).photoUrl">
    </button>
  </mat-toolbar>
  <mat-menu #accountMenu="matMenu" [overlapTrigger]="false">
    <button mat-menu-item *ngIf="!loggedIn" (click)="navigateTo('/login')">
      <mat-icon class="fas fa-sign-in-alt"></mat-icon>
      <span>Sign In</span>
    </button>
    <button mat-menu-item *ngIf="loggedIn" (click)="navigateTo('/heroes/favorite')">
      <mat-icon>star</mat-icon>
      <span>Favorite</span>
    </button>
    <button mat-menu-item *ngIf="loggedIn" (click)="logout()">
      <mat-icon class="fas fa-sign-out-alt"></mat-icon>
      <span>Sign Out</span>
    </button>
  </mat-menu>
  <mat-sidenav-container class="layout-sidenav-container"
                         [style.marginTop.px]="isMobile ? 56 : 0">
    <mat-sidenav #snav class="layout-sidenav"
                 [mode]="isMobile ? 'over' : 'side'"
                 [opened]="!isMobile"
                 [fixedInViewport]="isMobile" fixedTopGap="56">
      <app-menu [favoriteHeroes]="favoriteHeroes$ | async" 
                [isLoadingFavorite]="isLoadingFavorite$ | async"
                [loggedIn]="loggedIn" 
                (click)="isMobile && snav.close()"></app-menu>
    </mat-sidenav>

    <mat-sidenav-content>
      <ng-content></ng-content>
      <mat-toolbar class="layout-footer">
        <div class="footer-text">  
          <img src="assets/logogrey.png" class="footer-logo">
          <span>Data provided by Marvel. © {{year}} MARVEL</span>
        </div>
      </mat-toolbar>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>
